package cz.fi.muni;

import cz.fi.muni.inventory.api.WineApiDelegate;
import cz.fi.muni.inventory.model.CreatedWineResponse;
import cz.fi.muni.inventory.model.GetWine;
import cz.fi.muni.inventory.model.NewWine;
import cz.fi.muni.inventory.model.Wine;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.NativeWebRequest;

import java.util.List;
import java.util.Optional;

@Component
public class WineController implements WineApiDelegate {
    private static final Logger log = LoggerFactory.getLogger(WineController.class);

    @Override
    public Optional<NativeWebRequest> getRequest() {
        return WineApiDelegate.super.getRequest();
    }

    @Override
    public ResponseEntity<CreatedWineResponse> createWine(NewWine newWine) {
        return WineApiDelegate.super.createWine(newWine);
    }

    @Override
    public ResponseEntity<List<Wine>> getAllWines() {
        return WineApiDelegate.super.getAllWines();
    }

    @Override
    public ResponseEntity<GetWine> getWineDetails(String id) {
        return WineApiDelegate.super.getWineDetails(id);
    }


}
